package com.uas.report.axis.repository;

import com.uas.report.util.ContextUtils;

public class RepositoryManagement {

	private RepositoryManagementService repositoryManagementService = ContextUtils
			.getBean(RepositoryManagementService.class);

	public String list(String requestXmlString) {
		return repositoryManagementService.list(requestXmlString);
	}

	public String get(String requestXmlString) {
		return repositoryManagementService.get(requestXmlString);
	}

	public String put(String requestXmlString) {
		return repositoryManagementService.put(requestXmlString);
	}

	public String delete(String requestXmlString) {
		return repositoryManagementService.delete(requestXmlString);
	}

	public String runReport(String requestXmlString) {
		return repositoryManagementService.runReport(requestXmlString);
	}

	public String move(String requestXmlString) {
		return repositoryManagementService.move(requestXmlString);
	}

	public String copy(String requestXmlString) {
		return repositoryManagementService.copy(requestXmlString);
	}
}
